<?php
/* QuickCal support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rosalinda_quickcal_theme_setup9')) {
	add_action( 'after_setup_theme', 'rosalinda_quickcal_theme_setup9', 9 );
	function rosalinda_quickcal_theme_setup9() {
	    add_filter( 'rosalinda_filter_merge_styles', 						'rosalinda_quickcal_merge_styles' );
		if (is_admin()) {
			add_filter( 'rosalinda_filter_tgmpa_required_plugins',		'rosalinda_quickcal_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'rosalinda_quickcal_tgmpa_required_plugins' ) ) {

	function rosalinda_quickcal_tgmpa_required_plugins($list=array()) {
		if (rosalinda_storage_isset( 'required_plugins', 'quickcal' ) && rosalinda_is_theme_activated() ) {
			$path = rosalinda_get_plugin_source_path('plugins/quickcal/quickcal.zip');
			if ( ! empty( $path ) || rosalinda_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'      => rosalinda_storage_get_array( 'required_plugins', 'quickcal' ),
					'slug' 		=> 'quickcal',
					'version'	=> '1.0.12',
					'source' 	=> !empty($path) ? $path : 'upload://quickcal.zip',
					'required' 	=> false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'rosalinda_exists_quickcal' ) ) {
	function rosalinda_exists_quickcal() {
		return class_exists('quickcal_plugin');
	}
}

// Merge custom styles
if ( !function_exists( 'rosalinda_quickcal_merge_styles' ) ) {
	function rosalinda_quickcal_merge_styles($list) {
	    $list[] = 'plugins/quickcal/_quickcal.scss';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (rosalinda_exists_quickcal()) { require_once ROSALINDA_THEME_DIR . 'plugins/quickcal/quickcal-styles.php'; }
?>